yi-core-0.19.4: Yi editor core library

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Yi.Search.Internal

Description

Internal use for Yi.Search.

Synopsis

- setRegexE :: SearchExp -> EditorM ()
- resetRegexE :: EditorM ()
- getRegexE :: EditorM (Maybe SearchExp)

# Documentation

setRegexE :: SearchExp -> EditorM () Source #

Put regex into regex `register`

resetRegexE :: EditorM () Source #

Clear the regex `register`

getRegexE :: EditorM (Maybe SearchExp) Source #

Return contents of regex register